<section id="module-blogs">
	<header>
		<h1>
			<a href="${relative_url(SyndicationUrlBuilder::rss('blogs', ID_CAT))}" title="${LangLoader::get_message('syndication', 'common')}"><i class="fa fa-syndication"></i></a>
			# IF C_PENDING_BLOGS #{@blogs.pending}# ELSE #{@blogs}# IF NOT C_ROOT_CATEGORY # - {CATEGORY_NAME}# ENDIF ## ENDIF # # IF C_CATEGORY ## IF IS_ADMIN #<a href="{U_EDIT_CATEGORY}" title="${LangLoader::get_message('edit', 'common')}"><i class="fa fa-edit smaller"></i></a># ENDIF ## ENDIF #
		</h1>
	</header>
	<div class="content">
	# IF C_BLOGS_NO_AVAILABLE #
		<div class="center">
			${LangLoader::get_message('no_item_now', 'common')}
		</div>
	# ELSE #
		# START blogs #
			<article id="article-blogs-{blogs.ID}" class="article-blogs article-several# IF C_DISPLAY_BLOCK_TYPE # block# ENDIF ## IF C_SEVERAL_COLUMNS # inline-block# ENDIF #" # IF C_SEVERAL_COLUMNS # style="width:calc(98% / {NUMBER_COLUMNS})" # ENDIF # itemscope="itemscope" itemtype="http://schema.org/CreativeWork">
				<header>
					<h2>
						<a href="{blogs.U_LINK}"><span itemprop="name">{blogs.NAME}</span></a>
						<span class="actions">
							# IF blogs.C_EDIT #
								<a href="{blogs.U_EDIT}" title="${LangLoader::get_message('edit', 'common')}"><i class="fa fa-edit"></i></a>
							# ENDIF #
							# IF blogs.C_DELETE #
								<a href="{blogs.U_DELETE}" title="${LangLoader::get_message('delete', 'common')}" data-confirmation="delete-element"><i class="fa fa-delete"></i></a>
							# ENDIF #
						</span>
					</h2>

					<div class="more">
						# IF blogs.C_AUTHOR_DISPLAYED #
							${LangLoader::get_message('by', 'common')}
							# IF blogs.C_AUTHOR_EXIST #<a itemprop="author" class="{blogs.USER_LEVEL_CLASS}" href="{blogs.U_AUTHOR_PROFILE}"# IF blogs.C_USER_GROUP_COLOR # style="color:{blogs.USER_GROUP_COLOR}"# ENDIF #>{blogs.PSEUDO}</a>, # ELSE #{blogs.PSEUDO}# ENDIF #
						# ENDIF #
						${TextHelper::lowercase_first(LangLoader::get_message('the', 'common'))} <time datetime="# IF NOT blogs.C_DIFFERED #{blogs.DATE_ISO8601}# ELSE #{blogs.DIFFERED_START_DATE_ISO8601}# ENDIF #" itemprop="datePublished"># IF NOT blogs.C_DIFFERED #{blogs.DATE}# ELSE #{blogs.DIFFERED_START_DATE}# ENDIF #</time>
						${TextHelper::lowercase_first(LangLoader::get_message('in', 'common'))} <a itemprop="about" href="{blogs.U_CATEGORY}">{blogs.CATEGORY_NAME}</a>
						# IF C_COMMENTS_ENABLED #- # IF blogs.C_COMMENTS # {blogs.NUMBER_COMMENTS} # ENDIF # {blogs.L_COMMENTS}# ENDIF #
					</div>

					<meta itemprop="url" content="{blogs.U_LINK}">
					<meta itemprop="description" content="${escape(blogs.DESCRIPTION)}"/>
					# IF C_COMMENTS_ENABLED #
					<meta itemprop="discussionUrl" content="{blogs.U_COMMENTS}">
					<meta itemprop="interactionCount" content="{blogs.NUMBER_COMMENTS} UserComments">
					# ENDIF #

				</header>

				<div class="content">
					# IF blogs.C_PICTURE #<img itemprop="thumbnailUrl" src="{blogs.U_PICTURE}" alt="{blogs.NAME}" title="{blogs.NAME}" class="right" /># ENDIF #
					<div itemprop="text"># IF C_DISPLAY_CONDENSED_CONTENT # {blogs.DESCRIPTION}# IF blogs.C_READ_MORE #... <a href="{blogs.U_LINK}">[${LangLoader::get_message('read-more', 'common')}]</a># ENDIF ## ELSE # {blogs.CONTENTS} # ENDIF #</div>
				</div>
				
				# IF blogs.C_SOURCES #
				<div class="spacer"></div>
				<aside>
				<div id="blogs-sources-container">
					<span>${LangLoader::get_message('form.sources', 'common')}</span> :
					# START blogs.sources #
					<a itemprop="isBasedOnUrl" href="{blogs.sources.URL}" class="small">{blogs.sources.NAME}</a># IF blogs.sources.C_SEPARATOR #, # ENDIF #
					# END blogs.sources #
				</div>
				</aside>
				# ENDIF #

				<footer></footer>
			</article>
		# END blogs #
	# ENDIF #
	</div>
	<footer># IF C_PAGINATION # # INCLUDE PAGINATION # # ENDIF #</footer>
</section>
